%define major		0
%define apiver		1
%define libname		%mklibname %{name} %{apiver} %{major}
%define develname	%mklibname %{name} -d

Summary:	A pixel manipulation library
Name:		pixman
Version:	0.40.0
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		http://pixman.org/
Source:		http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.xz
BuildRequires:  meson
BuildRequires:  libgomp-devel

%description
Pixel manipulation Library.

%package -n	%{libname}
Summary:	Pixel manipulation library
Group:		System/Libraries

%description -n	%{libname}
A library for manipulating pixel regions -- a set of Y-X banded
rectangles, image compositing using the Porter/Duff model
and implicit mask generation for geometric primitives including
trapezoids, triangles, and rectangles.

%package -n	%{develname}
Summary:	Libraries and include files for developing with libpixman
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{apiver}-devel = %{version}-%{release}

%description -n	%{develname}
This package provides the necessary development libraries and include
files to allow you to develop with pixman.

%prep
%autosetup -p1

%build
%meson --auto-features=auto \
%ifarch %{arm}
  -Diwmmxt=disabled -Diwmmxt2=false \
%endif
  %nil

%meson_build

%install
%meson_install

%check
%meson_test || :

%files -n %{libname}
%{_libdir}/*%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%doc README
%{_libdir}/*.so
%dir %{_includedir}/pixman-1
%{_includedir}/pixman-1/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Apr 20 2020 tv <tv> 0.40.0-1.mga8
+ Revision: 1570147
- 0.40.0

* Sat Feb 15 2020 umeabot <umeabot> 0.38.4-3.mga8
+ Revision: 1525494
- Mageia 8 Mass Rebuild

* Thu Apr 18 2019 umeabot <umeabot> 0.38.4-2.mga7
+ Revision: 1392899
- Rebuild with meson 0.50.1

* Wed Apr 10 2019 pterjan <pterjan> 0.38.4-1.mga7
+ Revision: 1388139
- Update to 0.38.4 which should fix build on arm

* Wed Apr 10 2019 tv <tv> 0.38.2-1.mga7
+ Revision: 1387965
- new release

* Fri Feb 15 2019 tv <tv> 0.38.0-1.mga7
+ Revision: 1367194
- ignore result of new %%check due to timeout on BS
- BR libgomp-devel
- Disable iwmmxt on ARM as it's broken b.fd.o # 55519
- new release
- switch to meson
- add %%check

* Sat Dec 01 2018 daviddavid <daviddavid> 0.36.0-1.mga7
+ Revision: 1337011
- new version: 0.36.0

* Sun Sep 23 2018 umeabot <umeabot> 0.34.0-2.mga7
+ Revision: 1300293
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 11 2016 tv <tv> 0.34.0-1.mga6
+ Revision: 953749
- 0.34.0

* Tue Dec 22 2015 tv <tv> 0.33.6-2.mga6
+ Revision: 913562
- submit to core/release

* Tue Dec 22 2015 tv <tv> 0.33.6-1.mga6
+ Revision: 913524
- new release

* Sun Oct 25 2015 tv <tv> 0.33.4-1.mga6
+ Revision: 895362
- new release
- new release

* Thu Sep 10 2015 blino <blino> 0.33.2-2.mga6
+ Revision: 875514
- explicitely disable gtk to avoid building unused demos/tests

* Sun Aug 02 2015 tv <tv> 0.33.2-1.mga6
+ Revision: 860491
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.32.6-3.mga5
+ Revision: 748892
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.32.6-2.mga5
+ Revision: 687608
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 tv <tv> 0.32.6-1.mga5
+ Revision: 650271
- new release

* Mon Nov 18 2013 tv <tv> 0.32.4-1.mga4
+ Revision: 551723
- new release

* Wed Nov 13 2013 tv <tv> 0.32.2-1.mga4
+ Revision: 551056
- new release
- patch 0: fix running SSE3 routines on !SSE3 processors

* Sat Oct 19 2013 umeabot <umeabot> 0.30.2-2.mga4
+ Revision: 531752
- Mageia 4 Mass Rebuild

* Fri Aug 09 2013 luigiwalser <luigiwalser> 0.30.2-1.mga4
+ Revision: 464985
- 0.30.2

* Thu May 23 2013 tv <tv> 0.30.0-1.mga4
+ Revision: 424818
- new release

* Sun Jan 13 2013 umeabot <umeabot> 0.28.2-2.mga3
+ Revision: 377772
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 10 2012 tv <tv> 0.28.2-1.mga3
+ Revision: 329398
- new release

* Wed Nov 07 2012 tv <tv> 0.28.0-1.mga3
+ Revision: 316245
- new release

* Thu Oct 25 2012 tv <tv> 0.27.4-1.mga3
+ Revision: 310053
- adjust file list
- new release

* Thu Aug 02 2012 tv <tv> 0.27.2-1.mga3
+ Revision: 277804
- switch to bz2 sources
- new release
+ fwang <fwang>
- update source
- update url

* Fri Jun 29 2012 tv <tv> 0.26.2-1.mga3
+ Revision: 265140
- new release

* Mon May 28 2012 tv <tv> 0.26.0-1.mga3
+ Revision: 248758
- new release

* Thu Feb 09 2012 tv <tv> 0.24.4-1.mga2
+ Revision: 206670
- new release

* Sun Jan 22 2012 tv <tv> 0.24.2-1.mga2
+ Revision: 199617
- new release

* Mon Nov 07 2011 tv <tv> 0.24.0-1.mga2
+ Revision: 164793
- new release

* Sun Oct 30 2011 tv <tv> 0.23.8-1.mga2
+ Revision: 160170
- new release

* Tue Oct 18 2011 tv <tv> 0.23.6-1.mga2
+ Revision: 156345
- new release

* Wed Sep 14 2011 fwang <fwang> 0.23.4-2.mga2
+ Revision: 143394
- drop .la files

* Wed Sep 14 2011 tv <tv> 0.23.4-1.mga2
+ Revision: 143328
- new release

* Thu Jul 14 2011 kharec <kharec> 0.23.2-1.mga2
+ Revision: 124028
- new version 0.23.2

* Thu Jun 30 2011 fwang <fwang> 0.22.0-1.mga2
+ Revision: 116862
- new version 0.22.0

* Tue Feb 01 2011 tv <tv> 0.20.2-1.mga1
+ Revision: 45568
- new release

* Tue Jan 11 2011 blino <blino> 0.20.0-3.mga1
+ Revision: 6090
- remove old ldconfig scriptlets
- imported package pixman

